Skip to content

Crs⁠

Perform various operations for Symitar parameters.

Operations⁠

getCrsSelectFields⁠

POST

Execute the persistent ParameterService getCrsSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getCrsSelectFields
POST /nexum/627/persistent/parameter/getCrsSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllCrsFields": true,
    "CrsFields": {
      "BureauInfo": [
        0
      ],
      "ChexSystemsVersion": [
        0
      ],
      "DefaultBureau": true,
      "DpBureauInfo": [
        0
      ],
      "DpPassword": [
        0
      ],
      "DpPasswordExpiration": [
        0
      ],
      "DpSubscriberCode": [
        0
      ],
      "HawkIndicator": true,
      "IncludeIdvReport": true,
      "IncludeNewAccountChexReport": true,
      "IncludeOfacReport": true,
      "IncludeQualiFileReport": true,
      "InternetPassword": true,
      "InternetPasswordExpiration": true,
      "InternetUserId": true,
      "IpAddress": true,
      "LookType": true,
      "OperatorCode": true,
      "OptionalFeatureCode": [
        0
      ],
      "Password": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateCrsByID⁠

POST

Execute the persistent ParameterService updateCrsByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateCrsByID
POST /nexum/627/persistent/parameter/updateCrsByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "CrsFields": {
    "BureauInfo": [
      {
        "EntryId": 0,
        "BureauInfo": "string"
      }
    ],
    "ChexSystemsVersion": [
      {
        "EntryId": 0,
        "ChexSystemsVersion": 0
      }
    ],
    "DefaultBureau": 0,
    "DpBureauInfo": [
      {
        "EntryId": 0,
        "DpBureauInfo": "string"
      }
    ],
    "DpPassword": [
      {
        "EntryId": 0,
        "DpPassword": "string"
      }
    ],
    "DpPasswordExpiration": [
      {
        "EntryId": 0,
        "DpPasswordExpiration": "string"
      }
    ],
    "DpSubscriberCode": [
      {
        "EntryId": 0,
        "DpSubscriberCode": "string"
      }
    ],
    "HawkIndicator": "string",
    "IncludeIdvReport": true,
    "IncludeNewAccountChexReport": true,
    "IncludeOfacReport": true,
    "IncludeQualiFileReport": true,
    "InternetPassword": "string",
    "InternetPasswordExpiration": "string",
    "InternetUserId": "string",
    "IpAddress": "string",
    "LookType": "string",
    "OperatorCode": "string",
    "OptionalFeatureCode": [
      {
        "EntryId": 0,
        "OptionalFeatureCode": "string"
      }
    ],
    "Password": [
      {
        "EntryId": 0,
        "Password": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}